Bug 467461 - Cannot Remove Shut Down Option Under the System Menu
Cannot Remove Shut Down Option Under the System Menu
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-17 11:25 EDT by William
Modified: 2009-07-14 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William 2008-10-17 11:25:48 EDT
Description of problem:
In Fedora 9, we are trying to get machines that will not allow non root users to shut down or restart the computer. After removing the options from the Gnome login screen, we found that the Shut Down option under the System Menu will not go away even when we remove the poweroff and reboot files in the /etc/security/console.apps/ directory and if we comment out the auth lines in the poweroff and reboot files in the /etc/pam.d directory. We were able to get the Shut Down option to go away in Fedora 7 however by following the same steps of removing the files in the /etc/security/console.apps directory.

Steps to Reproduce:
1. First we went and changed the /etc/gdm/gdm.conf file so that under the [greeter] section it had SystemMenu=false so that the login screen would not have the option to shut down or restart.

2. Next, I removed the poweroff and reboot files under the 
/etc/security/console.apps directory. However, this step did not remove the non root user's ability to shut down or restart the machine.

3. After some research on the internet, I found that I could try to comment out the auth lines in the reboot and poweroff files in the /etc/pam.d directory. However, this did not fix my problem
Actual results:
In our test, we found that the Shut Down option under the system menu would not go away in any case.

Expected results:
We expected the Shut Down option under the System menu to go away and that non root users would not be able to shut down or restart the computer

Please Help.
Comment 1 Tomas Mraz 2008-10-17 11:57:37 EDT
Not a PAM problem.
Comment 2 Bug Zapper 2009-06-09 22:59:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-14 10:38:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.